/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSVariablesDeclaration_H__
#define __GdomCSSVariablesDeclaration_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSVariablesDeclaration GdomCSSVariablesDeclaration;
typedef struct _GdomCSSVariablesDeclarationClass GdomCSSVariablesDeclarationClass;


#define GDOM_TYPE_CSS_VARIABLES_DECLARATION            (gdom_css_variables_declaration_get_type())
#define GDOM_CSS_VARIABLES_DECLARATION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_VARIABLES_DECLARATION, GdomCSSVariablesDeclaration))
#define GDOM_CSS_VARIABLES_DECLARATION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_VARIABLES_DECLARATION, GdomCSSVariablesDeclaration)Class)
#define GDOM_IS_CSS_VARIABLES_DECLARATION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_VARIABLES_DECLARATION))
#define GDOM_IS_CSS_VARIABLES_DECLARATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_VARIABLES_DECLARATION))
#define GDOM_CSS_VARIABLES_DECLARATION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_VARIABLES_DECLARATION, GdomCSSVariablesDeclarationClass))

typedef struct _GdomCSSVariablesDeclarationPrivate GdomCSSVariablesDeclarationPrivate;

struct _GdomCSSVariablesDeclaration {
    GdomDOMObject parent_instance;
    GdomCSSVariablesDeclarationPrivate *priv;
};

struct _GdomCSSVariablesDeclarationClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_variables_declaration_get_type (void);

WEBKIT_API gchar *
gdom_css_variables_declaration_get_variable_value (GdomCSSVariablesDeclaration *thiz, gchar * variable_name);

WEBKIT_API gchar *
gdom_css_variables_declaration_remove_variable (GdomCSSVariablesDeclaration *thiz, gchar * variable_name);

WEBKIT_API void
gdom_css_variables_declaration_set_variable (GdomCSSVariablesDeclaration *thiz, gchar * variable_name, gchar * value);

WEBKIT_API gchar *
gdom_css_variables_declaration_item (GdomCSSVariablesDeclaration *thiz, gulong index);

G_END_DECLS

#endif /* __GdomCSSVariablesDeclaration_H__ */
